- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.cases.caseAlerts.involvedEntities/fetchCards#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.cases.caseAlerts.involvedEntities/fetchCards#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.cases.caseAlerts.involvedEntities/fetchCards#body.request_body)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.cases.caseAlerts.involvedEntities/fetchCards#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.cases.caseAlerts.involvedEntities/fetchCards#body.FetchCardsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.cases.caseAlerts.involvedEntities/fetchCards#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.cases.caseAlerts.involvedEntities/fetchCards#body.aspect_1)
- [InvolvedEntityCard](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.cases.caseAlerts.involvedEntities/fetchCards#InvolvedEntityCard)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.cases.caseAlerts.involvedEntities/fetchCards#InvolvedEntityCard.SCHEMA_REPRESENTATION)
- [SecurityEntityDirection](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.cases.caseAlerts.involvedEntities/fetchCards#SecurityEntityDirection)

**Full name**: projects.locations.instances.cases.caseAlerts.involvedEntities.fetchCards

Returns metadate of each involved entity in a specific alert, including their connectivity and high-level status. Use this method to populate visual graphs or high-level summaries of an investigation scope.

### HTTP request

`GET https://{endpoint}/v1alpha/{parent}/involvedEntities:fetchCards`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. Format: projects/{project}/locations/{location}/instances/{instance}/cases/{case}/caseAlerts/{caseAlert}/involvedEntities:fetchCards |

### Request body

The request body must be empty.

### Response body

Response message for FetchCards.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "cards": [ { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.cases.caseAlerts.involvedEntities/fetchCards#InvolvedEntityCard`) } ] } ``` |

| Fields ||
|---|---|
| `cards[]` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.cases.caseAlerts.involvedEntities/fetchCards#InvolvedEntityCard`)`` Required. The list of cards. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `chronicle.involvedEntities.get`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).

## InvolvedEntityCard

Involved entity card.

| JSON representation |
|---|
| ``` { "identifier": string, "type": string, "linkedEntities": [ { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.cases.caseAlerts.involvedEntities/fetchCards#InvolvedEntityCard`) } ], "suspicious": boolean, "direction": enum (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.cases.caseAlerts.involvedEntities/fetchCards#SecurityEntityDirection`) } ``` |

| Fields ||
|---|---|
| `identifier` | `string` Required. The identifier of the entity. |
| `type` | `string` Required. The type of the entity. |
| `linkedEntities[]` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.cases.caseAlerts.involvedEntities/fetchCards#InvolvedEntityCard`)`` Required. Involved entity card. |
| `suspicious` | `boolean` Required. Is the entity suspicious. |
| `direction` | ``enum (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.cases.caseAlerts.involvedEntities/fetchCards#SecurityEntityDirection`)`` Required. Security entity direction. |

## SecurityEntityDirection

Security entity direction.

| Enums ||
|---|---|
| `NONE` | Unspecified security entity direction. |
| `INBOUND` | Inbound security entity direction. |
| `OUTBOUND` | Outbound security entity direction. |
| `BOTH` | Both inbound and outbound security entity direction. |